'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-eb4ee543.js');

const codeCss = ":host{display:block}pre{margin:0}.code{display:block;padding:var(--gap-xs) var(--gap-sm) var(--gap-sm);border:1px solid rgba(var(--violet-rgb), 0.2);border-radius:0.6rem;background-color:#f8f9fa;color:#222;font-size:1.4rem;line-height:1.4;overflow-x:auto}.code--example{border-top-right-radius:0;border-top-left-radius:0}.code__title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}";

const BSWCCode = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.language = 'HTML';
    this.hasExample = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    const code = this.formatHtml(this.element.innerHTML);
    return (index.h("div", { class: 'code ' + (this.hasExample ? 'code--example' : '') }, index.h("h5", { class: "code__title" }, this.language), code.map(tag => {
      return index.h("pre", null, index.h("code", null, tag.includes('bwc-row') ? tag : '  ' + tag));
    })));
  }
  get element() { return index.getElement(this); }
};
BSWCCode.style = codeCss;

const sectionCss = "@charset \"UTF-8\";:host{display:block}a{color:var(--link-color)}.section__title{margin:0 0 var(--gap-sm);font-size:2rem;font-weight:500}.section__info{color:#555;font-size:1.4rem}.section__info>a::after{content:\" ↗️\"}.section__example{padding:var(--gap-sm) var(--gap-sm) var(--gap);border:1px solid rgba(var(--violet-rgb), 0.2);border-bottom:none;border-radius:0.6rem;border-bottom-left-radius:0;border-bottom-right-radius:0;background-color:rgba(var(--violet-rgb), 0.02)}.section__example-title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}.section__example-content{margin:0 var(--gap-sm)}.section>*+*{margin-top:var(--gap-sm)}";

const BSWCSection = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.heading = undefined;
    this.slug = undefined;
    this.hasExample = true;
    this.language = '';
  }
  getCode(content) {
    return content;
  }
  render() {
    const code = this.getCode(this.element.innerHTML);
    return (index.h("section", { class: "section" }, index.h("h4", { class: "section__title" }, this.heading), index.h("div", null, this.hasExample ?
      index.h("div", { class: "section__example" }, index.h("div", { class: "section__example-title" }, "Example"), index.h("div", { class: "section__example-content" }, index.h("slot", null)))
      : '', index.h("bswc-code", { innerHTML: code, "has-example": this.hasExample, language: this.language })), this.slug ?
      index.h("p", { class: "section__info" }, "More info about ", index.h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank" }, this.heading), " at Bootstrap website.")
      : ''));
  }
  get element() { return index.getElement(this); }
};
BSWCSection.style = sectionCss;

const colCss = ":host,.test{background-color:red !important}bwc-col{flex:1 0 0%}bwc-col[col]{flex:0 0 auto}bwc-col[col=auto]{width:auto}bwc-col[col=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}@media (min-width: var(--bwc-breakpoint-xs)){bwc-col[col-xs=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col-xs=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col-xs=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col-xs=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col-xs=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col-xs=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col-xs=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col-xs=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col-xs=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col-xs=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col-xs=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col-xs=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-col[col-sm=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col-sm=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col-sm=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col-sm=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col-sm=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col-sm=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col-sm=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col-sm=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col-sm=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col-sm=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col-sm=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col-sm=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}}@media (min-width: var(--bwc-breakpoint-md)){bwc-col[col-md=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col-md=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col-md=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col-md=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col-md=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col-md=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col-md=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col-md=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col-md=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col-md=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col-md=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col-md=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-col[col-lg=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col-lg=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col-lg=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col-lg=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col-lg=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col-lg=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col-lg=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col-lg=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col-lg=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col-lg=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col-lg=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col-lg=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-col[col-xl=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col-xl=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col-xl=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col-xl=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col-xl=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col-xl=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col-xl=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col-xl=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col-xl=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col-xl=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col-xl=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col-xl=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-col[col-xxl=\"1\"]{width:calc(100% / var(--bwc-grid-columns) * 1)}bwc-col[col-xxl=\"2\"]{width:calc(100% / var(--bwc-grid-columns) * 2)}bwc-col[col-xxl=\"3\"]{width:calc(100% / var(--bwc-grid-columns) * 3)}bwc-col[col-xxl=\"4\"]{width:calc(100% / var(--bwc-grid-columns) * 4)}bwc-col[col-xxl=\"5\"]{width:calc(100% / var(--bwc-grid-columns) * 5)}bwc-col[col-xxl=\"6\"]{width:calc(100% / var(--bwc-grid-columns) * 6)}bwc-col[col-xxl=\"7\"]{width:calc(100% / var(--bwc-grid-columns) * 7)}bwc-col[col-xxl=\"8\"]{width:calc(100% / var(--bwc-grid-columns) * 8)}bwc-col[col-xxl=\"9\"]{width:calc(100% / var(--bwc-grid-columns) * 9)}bwc-col[col-xxl=\"10\"]{width:calc(100% / var(--bwc-grid-columns) * 10)}bwc-col[col-xxl=\"11\"]{width:calc(100% / var(--bwc-grid-columns) * 11)}bwc-col[col-xxl=\"12\"]{width:calc(100% / var(--bwc-grid-columns) * 12)}}bwc-col[order=first]{order:-1 !important}bwc-col[order=\"0\"]{order:0 !important}bwc-col[order=\"1\"]{order:1 !important}bwc-col[order=\"2\"]{order:2 !important}bwc-col[order=\"3\"]{order:3 !important}bwc-col[order=\"4\"]{order:4 !important}bwc-col[order=\"5\"]{order:5 !important}bwc-col[order=last]{order:6 !important}bwc-col[align=start]{align-self:start !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-col[align-xs=start]{align-self:start !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-col[align-sm=start]{align-self:start !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-col[align-md=start]{align-self:start !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-col[align-lg=start]{align-self:start !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-col[align-xl=start]{align-self:start !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-col[align-xxl=start]{align-self:start !important}}bwc-col[align=end]{align-self:end !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-col[align-xs=end]{align-self:end !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-col[align-sm=end]{align-self:end !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-col[align-md=end]{align-self:end !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-col[align-lg=end]{align-self:end !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-col[align-xl=end]{align-self:end !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-col[align-xxl=end]{align-self:end !important}}bwc-col[align=center]{align-self:center !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-col[align-xs=center]{align-self:center !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-col[align-sm=center]{align-self:center !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-col[align-md=center]{align-self:center !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-col[align-lg=center]{align-self:center !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-col[align-xl=center]{align-self:center !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-col[align-xxl=center]{align-self:center !important}}bwc-col[align=stretch]{align-self:stretch !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-col[align-xs=stretch]{align-self:stretch !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-col[align-sm=stretch]{align-self:stretch !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-col[align-md=stretch]{align-self:stretch !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-col[align-lg=stretch]{align-self:stretch !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-col[align-xl=stretch]{align-self:stretch !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-col[align-xxl=stretch]{align-self:stretch !important}}";

const BWCCol = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h(index.Host, null, index.h("span", { class: "test" }, "sdcdcsdcsdcscsdc"), index.h("slot", null)));
  }
};
BWCCol.style = colCss;

const rowCss = "bwc-row{--bs-gutter-y:0;--bs-gutter-x:var(--bwc-gutter-md);display:flex;flex-wrap:wrap;margin-top:calc(-1 * var(--bs-gutter-y));margin-right:calc(-0.5 * var(--bs-gutter-x));margin-left:calc(-0.5 * var(--bs-gutter-x));}bwc-row>*{box-sizing:border-box;flex-shrink:0;width:100%;max-width:100%;padding-right:calc(var(--bs-gutter-x) * 0.5);padding-left:calc(var(--bs-gutter-x) * 0.5);margin-top:var(--bs-gutter-y)}bwc-row[cols]>*{flex:0 0 auto}bwc-row[cols=auto]>*{width:auto}bwc-row[cols=\"1\"]>*{width:100%}bwc-row[cols=\"2\"]>*{width:50%}bwc-row[cols=\"3\"]>*{width:33.3333333333%}bwc-row[cols=\"4\"]>*{width:25%}bwc-row[cols=\"5\"]>*{width:20%}bwc-row[cols=\"6\"]>*{width:16.6666666667%}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[cols-xs=\"1\"]>*{width:100%}bwc-row[cols-xs=\"2\"]>*{width:50%}bwc-row[cols-xs=\"3\"]>*{width:33.3333333333%}bwc-row[cols-xs=\"4\"]>*{width:25%}bwc-row[cols-xs=\"5\"]>*{width:20%}bwc-row[cols-xs=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[cols-sm=\"1\"]>*{width:100%}bwc-row[cols-sm=\"2\"]>*{width:50%}bwc-row[cols-sm=\"3\"]>*{width:33.3333333333%}bwc-row[cols-sm=\"4\"]>*{width:25%}bwc-row[cols-sm=\"5\"]>*{width:20%}bwc-row[cols-sm=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[cols-md=\"1\"]>*{width:100%}bwc-row[cols-md=\"2\"]>*{width:50%}bwc-row[cols-md=\"3\"]>*{width:33.3333333333%}bwc-row[cols-md=\"4\"]>*{width:25%}bwc-row[cols-md=\"5\"]>*{width:20%}bwc-row[cols-md=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[cols-lg=\"1\"]>*{width:100%}bwc-row[cols-lg=\"2\"]>*{width:50%}bwc-row[cols-lg=\"3\"]>*{width:33.3333333333%}bwc-row[cols-lg=\"4\"]>*{width:25%}bwc-row[cols-lg=\"5\"]>*{width:20%}bwc-row[cols-lg=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[cols-xl=\"1\"]>*{width:100%}bwc-row[cols-xl=\"2\"]>*{width:50%}bwc-row[cols-xl=\"3\"]>*{width:33.3333333333%}bwc-row[cols-xl=\"4\"]>*{width:25%}bwc-row[cols-xl=\"5\"]>*{width:20%}bwc-row[cols-xl=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[cols-xxl=\"1\"]>*{width:100%}bwc-row[cols-xxl=\"2\"]>*{width:50%}bwc-row[cols-xxl=\"3\"]>*{width:33.3333333333%}bwc-row[cols-xxl=\"4\"]>*{width:25%}bwc-row[cols-xxl=\"5\"]>*{width:20%}bwc-row[cols-xxl=\"6\"]>*{width:16.6666666667%}}bwc-row[offset=\"0\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 0)}bwc-row[offset=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 1)}bwc-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 2)}bwc-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 3)}bwc-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 4)}bwc-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 5)}bwc-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 6)}bwc-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 7)}bwc-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 8)}bwc-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 9)}bwc-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 10)}bwc-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bwc-grid-columns) * 11)}}bwc-row[g=\"0\"],bwc-row[gx=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g=\"0\"],bwc-row[gy=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g=\"1\"],bwc-row[gx=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g=\"1\"],bwc-row[gy=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g=\"2\"],bwc-row[gx=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g=\"2\"],bwc-row[gy=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g=\"3\"],bwc-row[gx=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g=\"3\"],bwc-row[gy=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g=\"4\"],bwc-row[gx=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g=\"4\"],bwc-row[gy=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g=\"5\"],bwc-row[gx=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g=\"5\"],bwc-row[gy=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[g-xs=\"0\"],bwc-row[gx-xs=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g-xs=\"0\"],bwc-row[gy-xs=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g-xs=\"1\"],bwc-row[gx-xs=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g-xs=\"1\"],bwc-row[gy-xs=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g-xs=\"2\"],bwc-row[gx-xs=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g-xs=\"2\"],bwc-row[gy-xs=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g-xs=\"3\"],bwc-row[gx-xs=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g-xs=\"3\"],bwc-row[gy-xs=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g-xs=\"4\"],bwc-row[gx-xs=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g-xs=\"4\"],bwc-row[gy-xs=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g-xs=\"5\"],bwc-row[gx-xs=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g-xs=\"5\"],bwc-row[gy-xs=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[g-sm=\"0\"],bwc-row[gx-sm=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g-sm=\"0\"],bwc-row[gy-sm=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g-sm=\"1\"],bwc-row[gx-sm=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g-sm=\"1\"],bwc-row[gy-sm=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g-sm=\"2\"],bwc-row[gx-sm=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g-sm=\"2\"],bwc-row[gy-sm=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g-sm=\"3\"],bwc-row[gx-sm=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g-sm=\"3\"],bwc-row[gy-sm=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g-sm=\"4\"],bwc-row[gx-sm=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g-sm=\"4\"],bwc-row[gy-sm=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g-sm=\"5\"],bwc-row[gx-sm=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g-sm=\"5\"],bwc-row[gy-sm=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[g-md=\"0\"],bwc-row[gx-md=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g-md=\"0\"],bwc-row[gy-md=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g-md=\"1\"],bwc-row[gx-md=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g-md=\"1\"],bwc-row[gy-md=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g-md=\"2\"],bwc-row[gx-md=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g-md=\"2\"],bwc-row[gy-md=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g-md=\"3\"],bwc-row[gx-md=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g-md=\"3\"],bwc-row[gy-md=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g-md=\"4\"],bwc-row[gx-md=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g-md=\"4\"],bwc-row[gy-md=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g-md=\"5\"],bwc-row[gx-md=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g-md=\"5\"],bwc-row[gy-md=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[g-lg=\"0\"],bwc-row[gx-lg=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g-lg=\"0\"],bwc-row[gy-lg=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g-lg=\"1\"],bwc-row[gx-lg=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g-lg=\"1\"],bwc-row[gy-lg=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g-lg=\"2\"],bwc-row[gx-lg=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g-lg=\"2\"],bwc-row[gy-lg=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g-lg=\"3\"],bwc-row[gx-lg=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g-lg=\"3\"],bwc-row[gy-lg=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g-lg=\"4\"],bwc-row[gx-lg=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g-lg=\"4\"],bwc-row[gy-lg=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g-lg=\"5\"],bwc-row[gx-lg=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g-lg=\"5\"],bwc-row[gy-lg=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[g-xl=\"0\"],bwc-row[gx-xl=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g-xl=\"0\"],bwc-row[gy-xl=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g-xl=\"1\"],bwc-row[gx-xl=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g-xl=\"1\"],bwc-row[gy-xl=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g-xl=\"2\"],bwc-row[gx-xl=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g-xl=\"2\"],bwc-row[gy-xl=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g-xl=\"3\"],bwc-row[gx-xl=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g-xl=\"3\"],bwc-row[gy-xl=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g-xl=\"4\"],bwc-row[gx-xl=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g-xl=\"4\"],bwc-row[gy-xl=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g-xl=\"5\"],bwc-row[gx-xl=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g-xl=\"5\"],bwc-row[gy-xl=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[g-xxl=\"0\"],bwc-row[gx-xxl=\"0\"]{--bs-gutter-x:var(--bwc-gutter-xs)}bwc-row[g-xxl=\"0\"],bwc-row[gy-xxl=\"0\"]{--bs-gutter-y:var(--bwc-gutter-xs)}bwc-row[g-xxl=\"1\"],bwc-row[gx-xxl=\"1\"]{--bs-gutter-x:var(--bwc-gutter-sm)}bwc-row[g-xxl=\"1\"],bwc-row[gy-xxl=\"1\"]{--bs-gutter-y:var(--bwc-gutter-sm)}bwc-row[g-xxl=\"2\"],bwc-row[gx-xxl=\"2\"]{--bs-gutter-x:var(--bwc-gutter-md)}bwc-row[g-xxl=\"2\"],bwc-row[gy-xxl=\"2\"]{--bs-gutter-y:var(--bwc-gutter-md)}bwc-row[g-xxl=\"3\"],bwc-row[gx-xxl=\"3\"]{--bs-gutter-x:var(--bwc-gutter-lg)}bwc-row[g-xxl=\"3\"],bwc-row[gy-xxl=\"3\"]{--bs-gutter-y:var(--bwc-gutter-lg)}bwc-row[g-xxl=\"4\"],bwc-row[gx-xxl=\"4\"]{--bs-gutter-x:var(--bwc-gutter-xl)}bwc-row[g-xxl=\"4\"],bwc-row[gy-xxl=\"4\"]{--bs-gutter-y:var(--bwc-gutter-xl)}bwc-row[g-xxl=\"5\"],bwc-row[gx-xxl=\"5\"]{--bs-gutter-x:var(--bwc-gutter-xxl)}bwc-row[g-xxl=\"5\"],bwc-row[gy-xxl=\"5\"]{--bs-gutter-y:var(--bwc-gutter-xxl)}bwc-row[flex=reverse]{flex-direction:row-reverse !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[flex-xs=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[flex-sm=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[flex-md=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[flex-lg=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[flex-xl=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[flex-xxl=reverse]{flex-direction:row-reverse !important}}bwc-row[flex=wrap]{flex-wrap:wrap !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[flex-xs=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[flex-sm=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[flex-md=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[flex-lg=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[flex-xl=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[flex-xxl=wrap]{flex-wrap:wrap !important}}bwc-row[flex=nowrap]{flex-wrap:nowrap !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[flex-xs=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[flex-sm=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[flex-md=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[flex-lg=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[flex-xl=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[flex-xxl=nowrap]{flex-wrap:nowrap !important}}bwc-row[flex=wrap-reverse]{flex-wrap:wrap-reverse !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[flex-xs=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[flex-sm=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[flex-md=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[flex-lg=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[flex-xl=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[flex-xxl=wrap-reverse]{flex-wrap:wrap-reverse !important}}bwc-row[justify=start]{justify-content:flex-start !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[justify-xs=start]{justify-content:flex-start !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[justify-sm=start]{justify-content:flex-start !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[justify-md=start]{justify-content:flex-start !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[justify-lg=start]{justify-content:flex-start !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[justify-xl=start]{justify-content:flex-start !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[justify-xxl=start]{justify-content:flex-start !important}}bwc-row[justify=end]{justify-content:flex-end !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[justify-xs=end]{justify-content:flex-end !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[justify-sm=end]{justify-content:flex-end !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[justify-md=end]{justify-content:flex-end !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[justify-lg=end]{justify-content:flex-end !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[justify-xl=end]{justify-content:flex-end !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[justify-xxl=end]{justify-content:flex-end !important}}bwc-row[justify=center]{justify-content:center !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[justify-xs=center]{justify-content:center !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[justify-sm=center]{justify-content:center !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[justify-md=center]{justify-content:center !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[justify-lg=center]{justify-content:center !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[justify-xl=center]{justify-content:center !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[justify-xxl=center]{justify-content:center !important}}bwc-row[justify=between]{justify-content:space-between !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[justify-xs=between]{justify-content:space-between !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[justify-sm=between]{justify-content:space-between !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[justify-md=between]{justify-content:space-between !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[justify-lg=between]{justify-content:space-between !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[justify-xl=between]{justify-content:space-between !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[justify-xxl=between]{justify-content:space-between !important}}bwc-row[justify=around]{justify-content:space-around !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[justify-xs=around]{justify-content:space-around !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[justify-sm=around]{justify-content:space-around !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[justify-md=around]{justify-content:space-around !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[justify-lg=around]{justify-content:space-around !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[justify-xl=around]{justify-content:space-around !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[justify-xxl=around]{justify-content:space-around !important}}bwc-row[justify=evenly]{justify-content:space-evenly !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[justify-xs=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[justify-sm=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[justify-md=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[justify-lg=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[justify-xl=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[justify-xxl=evenly]{justify-content:space-evenly !important}}bwc-row[align=start]{align-items:flex-start !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[align-xs=start]{align-items:flex-start !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[align-sm=start]{align-items:flex-start !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[align-md=start]{align-items:flex-start !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[align-lg=start]{align-items:flex-start !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[align-xl=start]{align-items:flex-start !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[align-xxl=start]{align-items:flex-start !important}}bwc-row[align=end]{align-items:flex-end !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[align-xs=end]{align-items:flex-end !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[align-sm=end]{align-items:flex-end !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[align-md=end]{align-items:flex-end !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[align-lg=end]{align-items:flex-end !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[align-xl=end]{align-items:flex-end !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[align-xxl=end]{align-items:flex-end !important}}bwc-row[align=center]{align-items:center !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[align-xs=center]{align-items:center !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[align-sm=center]{align-items:center !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[align-md=center]{align-items:center !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[align-lg=center]{align-items:center !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[align-xl=center]{align-items:center !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[align-xxl=center]{align-items:center !important}}bwc-row[align=baseline]{align-items:baseline !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[align-xs=baseline]{align-items:baseline !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[align-sm=baseline]{align-items:baseline !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[align-md=baseline]{align-items:baseline !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[align-lg=baseline]{align-items:baseline !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[align-xl=baseline]{align-items:baseline !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[align-xxl=baseline]{align-items:baseline !important}}bwc-row[align=stretch]{align-items:stretch !important}@media (min-width: var(--bwc-breakpoint-xs)){bwc-row[align-xs=stretch]{align-items:stretch !important}}@media (min-width: var(--bwc-breakpoint-sm)){bwc-row[align-sm=stretch]{align-items:stretch !important}}@media (min-width: var(--bwc-breakpoint-md)){bwc-row[align-md=stretch]{align-items:stretch !important}}@media (min-width: var(--bwc-breakpoint-lg)){bwc-row[align-lg=stretch]{align-items:stretch !important}}@media (min-width: var(--bwc-breakpoint-xl)){bwc-row[align-xl=stretch]{align-items:stretch !important}}@media (min-width: var(--bwc-breakpoint-xxl)){bwc-row[align-xxl=stretch]{align-items:stretch !important}}";

const BWCRow = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
};
BWCRow.style = rowCss;

exports.bswc_code = BSWCCode;
exports.bswc_section = BSWCSection;
exports.bwc_col = BWCCol;
exports.bwc_row = BWCRow;

//# sourceMappingURL=bswc-code_4.cjs.entry.js.map